# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssbase/rcssbase-9.4.5.ebuild,v 1.9 2005/06/05 01:14:19 ozkubo Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

IUSE="rcss-oldboost"
SLOT=""
RDEPEND="
	sci-misc/robocup-env
"
DEPEND="${RDEPEND}
	!rcss-oldboost? ( dev-libs/boost )
"
LICENSE="LGPL-2.1"

PREFIX="/opt/robocup"
KEYWORDS="x86"

src_unpack() {
    unpack ${A}
    cd ${S}
	if ! useq rcss-oldboost ; then
		rm -rf boost
		ln -s /usr/include/boost boost
	fi
}

src_compile() {
	./configure --prefix=${PREFIX} || die
	emake || die
}

src_install() {
	make DESTDIR=${D} install || die
	if useq rcss-oldboost ; then
		mv ${D}${PREFIX}/include/boost ${D}${PREFIX}/include/rcssbase/boost 
	else
		rm -rf ${D}${PREFIX}/include/boost
	fi
}
