# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssmonitor/rcssmonitor-9.3.7.ebuild,v 1.4 2005/06/05 01:14:19 ozkubo Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

IUSE="rcss-oldboost"
SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	=sci-misc/rcssbase-9*
	virtual/x11
"
LICENSE="LGPL-2.1"

KEYWORDS="x86"

PREFIX="/opt/robocup"

pkg_setup() {

    if use rcss-oldboost ; then
        if ! built_with_use sci-misc/rcssbase rcss-oldboost ; then
            eerror "You need to install rcssbase with old boost headers(included rcssbase archive). Try:"
            eerror "USE='rcss-oldboost' emerge rcssbase"
            die "old boost headers install missing from rcssbase"
        fi
	else
        if built_with_use sci-misc/rcssbase rcss-oldboost ; then
            eerror "You need to install rcssbase without old boost headers(included rcssbase archive). Try:"
            eerror "emerge rcssbase"
            die "rcssbase is not compiled with recent boost headers"
        fi
	fi

}

src_unpack() {
    unpack ${A}
    cd ${S}
    epatch ${FILESDIR}/rcssmonitor-9.3.7-auto_quit.patch
}

src_compile() {
	export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib"
	export CXXFLAGS="${CXXFLAGS} -I${PREFIX}/include"

	if useq rcss-oldboost ; then
		export CXXFLAGS="${CXXFLAGS} -I${PREFIX}/include/rcssbase"
	fi

	./configure --prefix=${PREFIX} || die
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
