# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver/rcssserver-9.4.5.ebuild,v 1.7 2005/08/09 12:24:08 akky Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

IUSE="rcss-oldboost"
SLOT=""
RDEPEND="
	sci-misc/robocup-env
	sci-misc/rcssmonitor*
"
# can't	compile robocup-base/rcsslogplayer

DEPEND="${RDEPEND}
	=sci-misc/rcssbase-9.4.5
"

LICENSE="LGPL-2.1"

KEYWORDS="x86"
PREFIX="/opt/robocup"

pkg_setup() {

    if use rcss-oldboost ; then
        if ! built_with_use sci-misc/rcssbase rcss-oldboost ; then
            eerror "You need to install rcssbase with old boost headers(included rcssbase archive). Try:"
            eerror "USE='rcss-oldboost' emerge rcssbase"
            die "old boost headers install missing from rcssbase"
        fi
	else
        if built_with_use sci-misc/rcssbase rcss-oldboost ; then
            eerror "You need to install rcssbase without old boost headers(included rcssbase archive). Try:"
            eerror "emerge rcssbase"
            die "rcssbase is not compiled with recent boost headers"
        fi
	fi

}

src_unpack() {
	unpack ${A}
	cd ${S}

	if ! useq rcss-oldboost ; then
		epatch ${FILESDIR}/new-boost-random.patch
	fi
}

src_compile() {
	export LDFLAGS="-L${PREFIX}/lib"
	export CXXFLAGS="-I${PREFIX}/include"
	export LLIMPORTER_PATH="${PREFIX}/bin"
	export RCSSBASE=${PREFIX}
	if useq rcss-oldboost ; then
		export CXXFLAGS="${CXXFLAGS} -I${PREFIX}/include/rcssbase" 
	fi

	./configure --prefix=${PREFIX} || die

	export PATH=$PATH:$LLIMPORTER_PATH
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
