# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver3d-cvs/rcssserver3d-cvs-0.3.ebuild,v 1.1 2004/12/02 17:15:00 ozkubo Exp $

inherit eutils cvs
ECVS_SERVER="cvs.sourceforge.net:/cvsroot/sserver"
ECVS_MODULE="rcsoccersim/rcssserver3D"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"
S=${WORKDIR}/${ECVS_MODULE}


DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI=""
HOMEPAGE="http://sserver.sourceforge.net/"

#IUSE="spades"
IUSE=""

SLOT=""
RDEPEND="robocup-base/robocup-env"
DEPEND="${RDEPEND}
	>=sys-devel/automake-1.7*
	>=sys-devel/autoconf-2.5*
    dev-libs/boost
	app-doc/doxygen
	>=dev-lang/ruby-1.8
	media-libs/glut
	dev-games/ode
	robocup-base/spades
"
#    spades? ( robocup-base/spades )

LICENSE="LGPL-2.1"

KEYWORDS="~amd64 x86 ~ppc ~sparc ~alpha"
PREFIX="/opt/robocup"

src_unpack() {
	cvs_src_unpack
	cd ${S}
	epatch ${FILESDIR}/app_simulator_Makefile.am.diff
	epatch ${FILESDIR}/Makefile.am.diff
}

src_compile() {
	export LDFLAGS="-L${PREFIX}/lib"
	export CXXFLAGS="-I${PREFIX}/include"
	#export LLIMPORTER_PATH="${PREFIX}/bin"
	export RCSSBASE=${PREFIX}
	#cp ${FILESDIR}/bootstrap .

	export WANT_AUTOCONF=2.5
	export WANT_AUTOMAKE=1.7
			 
	chmod +x bootstrap
	./bootstrap
	./configure --prefix=${PREFIX} --with-ruby=ruby18 || die

	#export PATH=$PATH:$LLIMPORTER_PATH
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
    mv ${D}${PREFIX}/share/rcssserver3d/agentdb.xml ${D}${PREFIX}/share/rcssserver3d/agentdb.xml.example
}

pkg_postinst() {
    if [ ! -e ${ROOT}opt/robocup/share/rcssserver3d/agentdb.xml ] ; then
        cp ${ROOT}opt/robocup/share/rcssserver3d/agentdb.xml.sample  ${ROOT}opt/robocup/share/rcssserver3d/agentdb.xml
    fi
}
