# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver3d/rcssserver3d-0.3.ebuild,v 1.13 2005/05/28 18:14:15 ozkubo Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.gz"
HOMEPAGE="http://sserver.sourceforge.net/"

#IUSE="spades"
IUSE="static"

SLOT=""
RDEPEND="sci-misc/robocup-env"
DEPEND="${RDEPEND}
	dev-libs/boost
	>=dev-lang/ruby-1.8
	virtual/x11
	virtual/glut
	dev-games/ode
	<=sci-libs/spades-1.05
	app-doc/doxygen
"
LICENSE="LGPL-2.1"

KEYWORDS="x86"
PREFIX="/opt/robocup"


src_unpack() {
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/0.3_app_simulator_Makefile.in.diff
	epatch ${FILESDIR}/app_rcssmonitor3d_monitor.cpp.diff
}

src_compile() {
	export SPADES=${PREFIX}
	export ODE=/usr

	./configure \
		--prefix=${PREFIX} \
		--with-ruby=ruby18 \
		`use_enable static` \
		|| die

	emake || die
}

src_install() {
	emake DESTDIR=${D} install
	mv ${D}${PREFIX}/share/rcssserver3d/agentdb.xml ${D}${PREFIX}/share/rcssserver3d/agentdb.xml.sample
}

pkg_postinst() {
    if [ ! -e ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml ] ; then
        cp ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml.sample  ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml
    fi
}
