# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver3d/rcssserver3d-0.5.1.ebuild,v 1.1 2006/03/23 06:39:54 akky Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.gz"
HOMEPAGE="http://sserver.sourceforge.net/"

#IUSE="spades"
#IUSE="static doc kerosin"
IUSE="static doc"

SLOT=""
RDEPEND="sci-misc/robocup-env"
DEPEND="${RDEPEND}
	dev-libs/boost
	>=dev-lang/ruby-1.8
	virtual/x11
	virtual/glut
	dev-games/ode
	sci-libs/spades
	doc? ( app-doc/doxygen )
"
#	kerosin? (
#		>=media-libs/freetype-2.1.2
#		>=media-libs/libsdl-1.2
#		>=media-libs/devil-1.6.5
#		sys-libs/slang
#	)

LICENSE="LGPL-2.1"

KEYWORDS="x86"
PREFIX="/opt/robocup"

src_unpack() {
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/app_simulator_Makefile.am.diff
}

src_compile() {
	export SPADES=${PREFIX}
	export ODE=/usr

#	einfo "recreate configure files."
#	aclocal -I config.aux
#	libtoolize --copy --force
#	aclocal -I config.aux
#	autoheader --force
#	autoconf --force
#	automake --add-missing --copy --force

	./configure \
		--prefix=${PREFIX} \
		--with-ruby=ruby18 \
		`use_enable static` \
		|| die
##		`use_enable kerosin`
	emake || die
}

src_install() {
	if ! use doc ; then
		echo "install:" > doc/Makefile
	fi
	emake DESTDIR=${D} install
	mv ${D}${PREFIX}/share/rcssserver3d/agentdb.xml ${D}${PREFIX}/share/rcssserver3d/agentdb.xml.sample
}

pkg_postinst() {
    if [ ! -e ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml ] ; then
        cp ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml.sample  ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml
    fi
}
