# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver3d/rcssserver3d-999.ebuild,v 1.1 2006/01/02 14:06:18 ozkubo Exp $

inherit eutils cvs
ECVS_SERVER="cvs.sourceforge.net:/cvsroot/sserver"
ECVS_MODULE="rcsoccersim/rcssserver3D"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"
S=${WORKDIR}/${ECVS_MODULE}

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI=""
HOMEPAGE="http://sserver.sourceforge.net/"

#IUSE="spades"
IUSE="static doc kerosin"

SLOT=""
RDEPEND="sci-misc/robocup-env"
DEPEND="${RDEPEND}
	dev-libs/boost
	>=dev-lang/ruby-1.8
	virtual/x11
	virtual/glut
	dev-games/ode
	sci-libs/spades
    doc? ( app-doc/doxygen )
	kerosin? (
		media-libs/devil
		sys-libs/slang
	)
"
LICENSE="LGPL-2.1"

KEYWORDS="~x86"
PREFIX="/opt/robocup"

src_unpack() {
	cvs_src_unpack
	cd ${S}
	#epatch ${FILESDIR}/0.3_app_simulator_Makefile.in.diff
	epatch ${FILESDIR}/app_simulator_Makefile.am.diff
	#epatch ${FILESDIR}/app_simulator_rcsoccersim3D.in.diff
	#epatch ${FILESDIR}/moniotr-20050710.patch
	epatch ${FILESDIR}/app_rcssmonitor3d_monitor.cpp.diff
	#epatch ${FILESDIR}/rcssserver3d-0.3-gcc34.patch
}

src_compile() {
	export SPADES=${PREFIX}
	export ODE=/usr

#	einfo "recreate configure files."
#	aclocal
#	automake
#	libtoolize --copy --force
	./bootstrap

	./configure \
		--prefix=${PREFIX} \
		--with-ruby=ruby18 \
		`use_enable static` \
		`use_enable kerosin` \
		|| die
	emake || die
}

src_install() {
	if ! use doc ; then
		echo "install:" > doc/Makefile
	fi
	emake DESTDIR=${D} install
	mv ${D}${PREFIX}/share/rcssserver3d/agentdb.xml ${D}${PREFIX}/share/rcssserver3d/agentdb.xml.sample
}

pkg_postinst() {
    if [ ! -e ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml ] ; then
        cp ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml.sample  ${ROOT}${PREFIX}/share/rcssserver3d/agentdb.xml
    fi
}
